Get vehicle
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/{vehicleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/{vehicleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/{vehicleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"make_and_model": "<string>",
"year": 123,
"is_primary": true,
"is_eligible_for_deletion": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiVehicle",
"external_id": "<string>",
"license_plate": "<string>",
"vin": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"description": "<string>",
"meta": {}
}Vehicles
Get vehicle
Returns a single vehicle by ID.
GET
/
v1
/
businesses
/
{businessId}
/
mileage
/
vehicles
/
{vehicleId}
Get vehicle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The UUID of the vehicle.
Query Parameters
Allow fetching archived vehicles.
Allow fetching deleted vehicles.
Response
The vehicle.
Show child attributes
Show child attributes
⌘I